import { defineStore } from "pinia";

export const useRegistryEmp = defineStore("registryEmployeeTemp", () => {
  /**
   *  function convertstatus
   * @param val ค่าสภานะ
   * @returns textStatus
   */
  const statusText = (val: string) => {
    switch (val) {
      case "WAITTING":
        return "รอดำเนินการ";
      case "PENDING":
        return "เลือกตำแหน่งแล้ว";
      case "APPROVE":
        return "อนุมัติ";
      case "REJECT":
        return "ไม่อนุมัติ";
      case "REPORT":
        return "ส่งรายชื่อไปออกคำสั่ง";
      case "WAITING":
        return "รอออกคำสั่ง";
      case "DONE":
        return "ออกคำสั่งเสร็จสิ้น";
      default:
        return "-";
    }
  };
  return {
    statusText,
  };
});
